X2Go Bug report logs - #478
session profile settings: Hide GSSAPI support with DirectRDP session profiles

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 14 Apr 2014 07:55:02 UTC

Severity: minor

Tags: pending

Found in version 4.0.2.0

Fixed in version 4.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#478; Package x2goclient. (Mon, 14 Apr 2014 07:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 14 Apr 2014 07:55:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: o.schneyder@phoca-gmbh.de
Subject: session profile settings: Hide GSSAPI support with DirectRDP session profiles
Date: Mon, 14 Apr 2014 07:52:35 +0000
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.2.0
Severity: minor

Hi Alex,

if I configure a Direct RDP session in X2Go Client's session profile  
settings, the GSSAPI-related options are continued to be shown in the  
session settings GUI. Like all other SSH-related options, the GSSAPI  
authentication mechanism should not be configurable for DirectRDP  
sessions.

Can you please fix that in Git master? Thanks.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#478; Package x2goclient. (Fri, 23 May 2014 20:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 23 May 2014 20:45:02 GMT) (full text, mbox, link).


Message #10 received at 478@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 478@bugs.x2go.org
Subject: Re: Hide GSSAPI option on DirectRDP connections
Date: Fri, 23 May 2014 20:43:56 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 pending

The issue has been fixed by this commit...
http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=7d3f179286a498de9f50428c22b6ed71df08bca1

Regards,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 478-submit@bugs.x2go.org. (Fri, 23 May 2014 20:45:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#478; Package x2goclient. (Fri, 23 May 2014 20:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 23 May 2014 20:50:01 GMT) (full text, mbox, link).


Message #17 received at 478@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 478-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 478@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 23 May 2014 22:47:30 +0200 (CEST)
tag #478 pending
fixed #478 4.0.2.1
thanks

Hello,

X2Go issue #478 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=c78b9e5

The issue will most likely be fixed in src:x2goclient (4.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit c78b9e557cdf63c2aadaa04b6454f1e2fd0d6d01
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri May 23 22:46:46 2014 +0200

    debian/changelog: add closure for #478

diff --git a/debian/changelog b/debian/changelog
index 22d5588..93f1179 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,7 +8,7 @@ x2goclient (4.0.2.1-0x2go1) UNRELEASED; urgency=low
 
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.2.1):
-    - Hide GSSAPI options on direct RDP connections.
+    - Hide GSSAPI options on direct RDP connections. (Closes: #478).
     - Search X-Server in /Applications/Utilities/XQuartz.app on Mac.
     - Wrong cmd line option throw error dialog if running not from terminal.
 


Marked as fixed in versions 4.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 23 May 2014 20:50:02 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#478. (Fri, 23 May 2014 20:50:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#478; Package x2goclient. (Sat, 12 Jul 2014 06:45:05 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 12 Jul 2014 06:45:05 GMT) (full text, mbox, link).


Message #27 received at 478@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 478-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 478@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sat, 12 Jul 2014 08:41:42 +0200 (CEST)
close #478
thanks

Hello,

we are very hopeful that X2Go issue #478 reported by you
has been resolved in the new release (4.0.2.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=6d9114eb5f414f34962f8b14f58e5d469acd1574;hp=85bf0c6e7539910fff779689528009a897cdceb4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.1-0x2go1
Status: RELEASE
Date: Fri, 11 Jul 2014 12:23:59 +0200
Fixes: 235 364 365 421 478 498 502 514 528
Changes: 
 x2goclient (4.0.2.1-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.2.1):
     - Fix FTBFS on arm64 (and others) architecture. (Fixes: #498).
     - Only show session name in notification bubbles with debugging
       enabled. (Fixes: #364).
     - New command line option (--keep-trayicon). With that options set,
       we force X2Go client to only use the default "accelerated X" as
       system tray icon (and prohibit usage of the session's icon as
       tray icon). (Fixes: #365).
     - Provide more meaningful messages on SSH errors (host pub key not
       found, export pub key not found, authorized_keys file not found).
       For SSHd startup failures provide different messages on Windows
       and non-Windows machines. (Fixes: #235).
       FIXME: add detection code to report SSH daemon startup failures.
     - Add new cmdline option --hide-foldersharing. If used, all GUI
       elements related to exporting client-side folders to X2Go sessions
       get hidden. (Fixes: #514).
     - Update COPYING file (to update FSF address).
   * debian/control:
     + Add dbg:package x2goplugin-dbg.
 .
   [ Clemens Lang ]
   * New upstream version (4.0.2.1):
     - Re-add Info.plist file (which got removed by accident in commit 91cf6c6).
       (Fixes: #502).
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.2.1):
     - Hide GSSAPI options on direct RDP connections. (Fixes: #478).
     - Search X-Server in /Applications/Utilities/XQuartz.app on Mac.
     - Wrong cmd line option throw error dialog if running not from terminal.
     - Add command line option "close-disconnect", which make client close after
       session is disconnected.
     - Don't start pulse on Windows, until we really have to start a session
       that requires pulse support.
     - Check if sound is activated before starting pulse.
     - Fix starting sshd on Win XP. (Fixes: #421).
     - Fix "fullscreen" mode on Windows 7 with multiple monitors.
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.2.1):
     - Windows: Prevent high PulseAudio CPU usage on Windows XP by lowering
       PulseAudio's CPU priority from "high" to "normal" on XP specifically.
       Also do so on Windows Server 2003 (R2) (Fixes #526)
     - Windows: Enable PulseAudio log when --debug is passed.
     - Windows: Fix compatibility with current PulseAudio master branch
     - Windows: Reduce size of NSIS installer by switching to lzma solid compression
     - Windows: cygwin packages (inluding patched OpenSSH 6.6.1p1-3) updated from
       latest versions as of 2014-04-08 to latest versions as of 2014-06-09. This
       includes openssl 1.0.1h-1, which fixes the 6 CVEs announced on 2014-06-05.
       (Cygwin openssl was also individually updated to 1.0.1h-1 in
       4.0.2.0+build4.) This also includes migrating from libjpeg to
       libjpeg-turbo, which reduces CPU usage of nxproxy.)
     - Windows: Download and compile nx-libs-lite from the release tarball,
       rather than from git, so that the patches are actually applied
     - Windows: nx-libs-lite updated from 3.5.0.22 to 3.5.0.27
       (linked against aforementioned cygwin package versions)
     - Windows: Win32 OpenSSL updated from 1.0.1g to 1.0.1h, which fixes the 6
       CVEs announced on 2014-06-05.
       (Win32 OpenSSL was also updated to 1.0.1h in 4.0.2.0+build3.)
     - Windows: VcXsrv (XP Compatible) updated from 1.14.3.1 to 1.14.3.2.
       Fixes CVE-2014-0209, CVE-2014-0210, and CVE-2014-0211
       (VcXsrv was also updated to 1.14.3.2 in 4.0.2.0+build2.)
     - Windows: Switch from regular NSIS 2.46 to Unicode NSIS 2.46.5
       (Fixes: #528)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 12 Jul 2014 06:45:13 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 12 Jul 2014 06:45:13 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#478. (Sat, 12 Jul 2014 06:45:17 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 10 Aug 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 15 07:43:48 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.